#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,480,560,640,1280,1600,1760,1840,1920,2240,2320,2400,2480,2560
 * N : 25,160,240,320,400,480,560,640,1280,1600,1760,1840,1920,2240,2320,2400,2480,2560
 * NB : 2,8,8,16,96,32,96,120,120,96,80,136,128,96,80,160,96,176
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 2; \
   else if ((n_) < 280) (nb_) = 8; \
   else if ((n_) < 360) (nb_) = 16; \
   else if ((n_) < 440) (nb_) = 96; \
   else if ((n_) < 520) (nb_) = 32; \
   else if ((n_) < 600) (nb_) = 96; \
   else if ((n_) < 1440) (nb_) = 120; \
   else if ((n_) < 1680) (nb_) = 96; \
   else if ((n_) < 1800) (nb_) = 80; \
   else if ((n_) < 1880) (nb_) = 136; \
   else if ((n_) < 2080) (nb_) = 128; \
   else if ((n_) < 2280) (nb_) = 96; \
   else if ((n_) < 2360) (nb_) = 80; \
   else if ((n_) < 2440) (nb_) = 160; \
   else if ((n_) < 2520) (nb_) = 96; \
   else (nb_) = 176; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
