#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,180,240,360,420,540,720,1080,1140,1200,1260,1320,1380,1440
 * N : 25,180,240,360,420,540,720,1080,1140,1200,1260,1320,1380,1440
 * NB : 2,12,60,20,60,60,60,60,40,80,96,80,80,180
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 102) (nb_) = 2; \
   else if ((n_) < 210) (nb_) = 12; \
   else if ((n_) < 300) (nb_) = 60; \
   else if ((n_) < 390) (nb_) = 20; \
   else if ((n_) < 1110) (nb_) = 60; \
   else if ((n_) < 1170) (nb_) = 40; \
   else if ((n_) < 1230) (nb_) = 80; \
   else if ((n_) < 1290) (nb_) = 96; \
   else if ((n_) < 1410) (nb_) = 80; \
   else (nb_) = 180; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
